Rated 5 out of 5 stars

i couldn't download the new version 0.7 this message appears
" Firefox could not install the file at

https://addons.mozilla.org/en-US/firefox/downloads/file/61240/chromifox_companion-0.7-fx.xpi

because: Invalid file hash (possible download corruption)
-261 "

This review is for a previous version of the add-on (0.7.1).